# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Carp/Assert.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Net/AMQP/RabbitMQ.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define module_name Net-AMQP-RabbitMQ-Batch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2301
Release: alt1
Summary: simple batch processing of messages for RabbitMQ.
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WH/WHISK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Assume you read messages from a queue, process them and publish. But you would like to do it in batches, processing many messages at once.

This module:

=over

=item *
gets messages from in queue and publish them by routing key

=item *
uses your handler to batch process messages

=item *
keeps persistency - if processing fails, nothing lost from input queue, nothing published

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md
%perl_vendor_privlib/N*

%changelog
* Fri Oct 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.2301-alt1
- initial import by package builder

